Index: main/trunk/gs2runtime/configure
===================================================================
--- main/trunk/gs2runtime/configure	(revision 21008)
+++ main/trunk/gs2runtime/configure	(revision 21445)
@@ -310,5 +310,5 @@
 
 ac_subdirs_all="$ac_subdirs_all common-src runtime-src"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
 ac_subst_files=''
 
@@ -864,5 +864,4 @@
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-micodir          Use installed MICO directory
-  --with-gdbm=dir         Use local gdbm library and headers
   --with-dmalloc          use dmalloc, as in
                           ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
@@ -1406,11 +1405,4 @@
 
 
-
-# Check whether --with-gdbm or --without-gdbm was given.
-if test "${with_gdbm+set}" = set; then
-  withval="$with_gdbm"
-  gdbmdir=$withval
-fi;
-
 # Check whether --enable-accentfold or --disable-accentfold was given.
 if test "${enable_accentfold+set}" = set; then
@@ -6812,167 +6804,8 @@
 
 
-
-echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
-echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
-if test ! -z "$gdbmdir" ; then
-  # look in given directory for header file
-  if test -r $gdbmdir/include/gdbm.h ; then
-    GDBM_INCLUDE="-I$gdbmdir/include" ;
-  elif test -r $gdbmdir/gdbm.h ; then
-    GDBM_INCLUDE="-I$gdbmdir" ;
-  fi
-
-  # look in given directory for library
-  if test -r $gdbmdir/libgdbm.a ; then
-    GDBM_LIBPATH="-L$gdbmdir" ;
-  elif test -r $gdbmdir/lib/libgdbm.a ; then
-    GDBM_LIBPATH="-L$gdbmdir/lib" ;
-  elif test -r $gdbmdir/.libs/libgdbm.a ; then
-    GDBM_LIBPATH="-L$gdbmdir/.libs" ;
-  fi
-
-  if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
-    echo "$as_me:$LINENO: result: $gdbmdir" >&5
-echo "${ECHO_T}$gdbmdir" >&6 ;
-  else
-    echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
-echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
-    echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
-echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
-  fi
-fi
-
-# look in default path and in /usr/local
-if test -z "$GDBM_INCLUDE" ; then
-  # try in system directory
-
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <gdbm.h>
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  success=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-success=no
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-
-  if test $success = "no"; then
-# last chance - look in /usr/local (eg FreeBSD)
-    GDBM_LIBPATH=-L/usr/local/lib
-    GDBM_INCLUDE=-I/usr/local/include
-    ac_save_CXXFLAGS="$CXXFLAGS"
-    ac_save_LIBS="$LIBS"
-      CXXFLAGS="$CXXFLAGS -I/usr/local/include"
-      LIBS="$LIBS -L/usr/local/lib -lgdbm"
-      cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <gdbm.h>
-#include <stdio.h>
-
-int
-main ()
-{
-printf("%s",gdbm_version);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  success=/usr/local
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-success=no
-
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-      CXXFLAGS=$ac_save_CXXFLAGS
-      LIBS=$ac_save_LIBS
-  fi
-
-  echo "$as_me:$LINENO: result: $success" >&5
-echo "${ECHO_T}$success" >&6
-  if test $success = "no"; then
-  { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
-echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-fi
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBGDBM  1
-_ACEOF
-
-
-
-
-
 success=no
 echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
 echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
+
 
 cat >conftest.$ac_ext <<_ACEOF
@@ -7392,5 +7225,5 @@
 moduleDirs=""
 MODULEDIRS=""
-if  -d modules  ; then
+if test -d modules ; then
   for x in `find modules -mindepth 1 -maxdepth 2`; do
     if test -d "$x"; then
@@ -8085,6 +7918,4 @@
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@STATIC@,$STATIC,;t t
-s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
-s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
 s,@gsdlos@,$gsdlos,;t t
 s,@MODULEDIRS@,$MODULEDIRS,;t t