Index: main/trunk/gs2-core/common-src/configure
===================================================================
--- main/trunk/gs2-core/common-src/configure	(revision 21518)
+++ main/trunk/gs2-core/common-src/configure	(revision 21519)
@@ -814,5 +814,5 @@
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
- --enable-sqlite  Enable SQLite support
+  --disable-sqlite        Disable SQLite support
 
 Some influential environment variables:
@@ -2668,19 +2668,22 @@
 
 
-# Option: SQLite support
+# Option: SQLite support (enabled by default)
 # Check whether --enable-sqlite or --disable-sqlite was given.
 if test "${enable_sqlite+set}" = set; then
   enableval="$enable_sqlite"
-  USE_SQLITE=1 &&
+
+else
+  enable_sqlite=yes
+fi;
+if test "x$enable_sqlite" != xno; then
+
 cat >>confdefs.h <<\_ACEOF
 #define USE_SQLITE 1
 _ACEOF
 
-else
-  USE_SQLITE=0
-fi;
-
-
-if test "$USE_SQLITE" = 1; then
+fi
+
+
+if test "x$enable_sqlite" != xno; then
   USE_SQLITE_TRUE=
   USE_SQLITE_FALSE='#'
Index: main/trunk/gs2-core/common-src/configure.ac
===================================================================
--- main/trunk/gs2-core/common-src/configure.ac	(revision 21518)
+++ main/trunk/gs2-core/common-src/configure.ac	(revision 21519)
@@ -53,7 +53,10 @@
 AC_SUBST(COMPAT32BITFLAGS)
 
-# Option: SQLite support
-AC_ARG_ENABLE(sqlite, [ --enable-sqlite  Enable SQLite support], USE_SQLITE=1 && AC_DEFINE(USE_SQLITE, 1, [SQLite support]), USE_SQLITE=0)
-AM_CONDITIONAL(USE_SQLITE, test "$USE_SQLITE" = 1)
+# Option: SQLite support (enabled by default)
+AC_ARG_ENABLE([sqlite], [AS_HELP_STRING([--disable-sqlite], [Disable SQLite support])], [], [enable_sqlite=yes])
+if test "x$enable_sqlite" != xno; then
+  AC_DEFINE(USE_SQLITE, 1, [SQLite support])
+fi
+AM_CONDITIONAL(USE_SQLITE, test "x$enable_sqlite" != xno)
 
 # Generate the Makefiles for this package
Index: main/trunk/gs2-core/configure
===================================================================
--- main/trunk/gs2-core/configure	(revision 21518)
+++ main/trunk/gs2-core/configure	(revision 21519)
@@ -816,5 +816,5 @@
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
- --enable-sqlite  Enable SQLite support
+  --disable-sqlite        Disable SQLite support
 
 Some influential environment variables:
@@ -2670,19 +2670,22 @@
 
 
-# Option: SQLite support
+# Option: SQLite support (enabled by default)
 # Check whether --enable-sqlite or --disable-sqlite was given.
 if test "${enable_sqlite+set}" = set; then
   enableval="$enable_sqlite"
-  USE_SQLITE=1 &&
+
+else
+  enable_sqlite=yes
+fi;
+if test "x$enable_sqlite" != xno; then
+
 cat >>confdefs.h <<\_ACEOF
 #define USE_SQLITE 1
 _ACEOF
 
-else
-  USE_SQLITE=0
-fi;
-
-
-if test "$USE_SQLITE" = 1; then
+fi
+
+
+if test "x$enable_sqlite" != xno; then
   USE_SQLITE_TRUE=
   USE_SQLITE_FALSE='#'
Index: main/trunk/gs2-core/configure.ac
===================================================================
--- main/trunk/gs2-core/configure.ac	(revision 21518)
+++ main/trunk/gs2-core/configure.ac	(revision 21519)
@@ -53,7 +53,10 @@
 AC_SUBST(COMPAT32BITFLAGS)
 
-# Option: SQLite support
-AC_ARG_ENABLE(sqlite, [ --enable-sqlite  Enable SQLite support], USE_SQLITE=1 && AC_DEFINE(USE_SQLITE, 1, [SQLite support]), USE_SQLITE=0)
-AM_CONDITIONAL(USE_SQLITE, test "$USE_SQLITE" = 1)
+# Option: SQLite support (enabled by default)
+AC_ARG_ENABLE([sqlite], [AS_HELP_STRING([--disable-sqlite], [Disable SQLite support])], [], [enable_sqlite=yes])
+if test "x$enable_sqlite" != xno; then
+  AC_DEFINE(USE_SQLITE, 1, [SQLite support])
+fi
+AM_CONDITIONAL(USE_SQLITE, test "x$enable_sqlite" != xno)
 
 # Configure the common-src subdirectory
Index: main/trunk/gs2-core/runtime-src/configure
===================================================================
--- main/trunk/gs2-core/runtime-src/configure	(revision 21518)
+++ main/trunk/gs2-core/runtime-src/configure	(revision 21519)
@@ -822,5 +822,5 @@
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
- --enable-sqlite  Enable SQLite support
+  --disable-sqlite        Disable SQLite support
 
 Some influential environment variables:
@@ -3588,19 +3588,22 @@
 
 
-# Option: SQLite support
+# Option: SQLite support (enabled by default)
 # Check whether --enable-sqlite or --disable-sqlite was given.
 if test "${enable_sqlite+set}" = set; then
   enableval="$enable_sqlite"
-  USE_SQLITE=1 &&
+
+else
+  enable_sqlite=yes
+fi;
+if test "x$enable_sqlite" != xno; then
+
 cat >>confdefs.h <<\_ACEOF
 #define USE_SQLITE 1
 _ACEOF
 
-else
-  USE_SQLITE=0
-fi;
-
-
-if test "$USE_SQLITE" = 1; then
+fi
+
+
+if test "x$enable_sqlite" != xno; then
   USE_SQLITE_TRUE=
   USE_SQLITE_FALSE='#'
Index: main/trunk/gs2-core/runtime-src/configure.ac
===================================================================
--- main/trunk/gs2-core/runtime-src/configure.ac	(revision 21518)
+++ main/trunk/gs2-core/runtime-src/configure.ac	(revision 21519)
@@ -56,7 +56,10 @@
 AC_SUBST(COMPAT32BITFLAGS)
 
-# Option: SQLite support
-AC_ARG_ENABLE(sqlite, [ --enable-sqlite  Enable SQLite support], USE_SQLITE=1 && AC_DEFINE(USE_SQLITE, 1, [SQLite support]), USE_SQLITE=0)
-AM_CONDITIONAL(USE_SQLITE, test "$USE_SQLITE" = 1)
+# Option: SQLite support (enabled by default)
+AC_ARG_ENABLE([sqlite], [AS_HELP_STRING([--disable-sqlite], [Disable SQLite support])], [], [enable_sqlite=yes])
+if test "x$enable_sqlite" != xno; then
+  AC_DEFINE(USE_SQLITE, 1, [SQLite support])
+fi
+AM_CONDITIONAL(USE_SQLITE, test "x$enable_sqlite" != xno)
 
 # Generate the Makefiles for this package