Index: main/trunk/gs2-core/runtime-src/configure
===================================================================
--- main/trunk/gs2-core/runtime-src/configure	(revision 21519)
+++ main/trunk/gs2-core/runtime-src/configure	(revision 21534)
@@ -274,5 +274,5 @@
 PACKAGE_BUGREPORT='greenstone@cs.waikato.ac.nz'
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS USE_SQLITE_TRUE USE_SQLITE_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS ENABLE_LUCENE_TRUE ENABLE_LUCENE_FALSE USE_SQLITE_TRUE USE_SQLITE_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -822,4 +822,5 @@
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
+  --disable-lucene        Disable Lucene support
   --disable-sqlite        Disable SQLite support
 
@@ -3588,4 +3589,30 @@
 
 
+# Option: Lucene support (enabled by default)
+# Check whether --enable-lucene or --disable-lucene was given.
+if test "${enable_lucene+set}" = set; then
+  enableval="$enable_lucene"
+
+else
+  enable_lucene=yes
+fi;
+if test "x$enable_lucene" != xno; then
+
+cat >>confdefs.h <<\_ACEOF
+#define ENABLE_LUCENE 1
+_ACEOF
+
+fi
+
+
+if test "x$enable_lucene" != xno; then
+  ENABLE_LUCENE_TRUE=
+  ENABLE_LUCENE_FALSE='#'
+else
+  ENABLE_LUCENE_TRUE='#'
+  ENABLE_LUCENE_FALSE=
+fi
+
+
 # Option: SQLite support (enabled by default)
 # Check whether --enable-sqlite or --disable-sqlite was given.
@@ -3725,4 +3752,11 @@
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${ENABLE_LUCENE_TRUE}" && test -z "${ENABLE_LUCENE_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"ENABLE_LUCENE\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"ENABLE_LUCENE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
@@ -4326,4 +4360,6 @@
 s,@host_os@,$host_os,;t t
 s,@COMPAT32BITFLAGS@,$COMPAT32BITFLAGS,;t t
+s,@ENABLE_LUCENE_TRUE@,$ENABLE_LUCENE_TRUE,;t t
+s,@ENABLE_LUCENE_FALSE@,$ENABLE_LUCENE_FALSE,;t t
 s,@USE_SQLITE_TRUE@,$USE_SQLITE_TRUE,;t t
 s,@USE_SQLITE_FALSE@,$USE_SQLITE_FALSE,;t t