Index: /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.am
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.am	(revision 21538)
+++ /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.am	(revision 21539)
@@ -73,4 +73,9 @@
 oaiserver_cgi_LDFLAGS = $(COMPAT32BITFLAGS)
 
+# Option: Lucene support
+if ENABLE_LUCENE
+  oaiserver_cgi_LDADD += $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+endif
+
 # Option: SQLite support
 if USE_SQLITE
Index: /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.in
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.in	(revision 21538)
+++ /main/trunk/gs2-core/runtime-src/src/oaiservr/Makefile.in	(revision 21539)
@@ -65,6 +65,9 @@
 cgibin_PROGRAMS = oaiserver.cgi$(EXEEXT)
 
+# Option: Lucene support
+@ENABLE_LUCENE_TRUE@am__append_1 = $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+
 # Option: SQLite support
-@USE_SQLITE_TRUE@am__append_1 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
+@USE_SQLITE_TRUE@am__append_2 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 subdir = src/oaiservr
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -101,10 +104,11 @@
 	oaiserver_cgi-rfc1807.$(OBJEXT)
 oaiserver_cgi_OBJECTS = $(am_oaiserver_cgi_OBJECTS)
-@USE_SQLITE_TRUE@am__DEPENDENCIES_1 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a
+@ENABLE_LUCENE_TRUE@am__DEPENDENCIES_1 = $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+@USE_SQLITE_TRUE@am__DEPENDENCIES_2 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a
 oaiserver_cgi_DEPENDENCIES =  \
 	$(GSDL_DIR)/runtime-src/src/protocol/libgsdlprotocol.a \
 	$(GSDL_DIR)/runtime-src/src/colservr/libgsdlcolservr.a \
 	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a \
-	$(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -252,5 +256,6 @@
 	$(GSDL_DIR)/runtime-src/src/protocol/libgsdlprotocol.a \
 	$(GSDL_DIR)/runtime-src/src/colservr/libgsdlcolservr.a \
-	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a $(am__append_1)
+	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a $(am__append_1) \
+	$(am__append_2)
 oaiserver_cgi_LDFLAGS = $(COMPAT32BITFLAGS)
 all: all-am
Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 21538)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.am	(revision 21539)
@@ -95,4 +95,9 @@
 library_cgi_LDFLAGS = $(COMPAT32BITFLAGS)
 
+# Option: Lucene support
+if ENABLE_LUCENE
+  library_cgi_LDADD += $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+endif
+
 # Option: SQLite support
 if USE_SQLITE
Index: /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in
===================================================================
--- /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 21538)
+++ /main/trunk/gs2-core/runtime-src/src/recpt/Makefile.in	(revision 21539)
@@ -65,6 +65,9 @@
 cgibin_PROGRAMS = library.cgi$(EXEEXT)
 
+# Option: Lucene support
+@ENABLE_LUCENE_TRUE@am__append_1 = $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+
 # Option: SQLite support
-@USE_SQLITE_TRUE@am__append_1 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
+@USE_SQLITE_TRUE@am__append_2 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 subdir = src/recpt
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -120,10 +123,11 @@
 	library_cgi-wizardaction.$(OBJEXT)
 library_cgi_OBJECTS = $(am_library_cgi_OBJECTS)
-@USE_SQLITE_TRUE@am__DEPENDENCIES_1 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a
+@ENABLE_LUCENE_TRUE@am__DEPENDENCIES_1 = $(GSDL_DIR)/common-src/packages/expat/lib/libexpat.a
+@USE_SQLITE_TRUE@am__DEPENDENCIES_2 = $(GSDL_DIR)/common-src/packages/sqlite/lib/libsqlite3.a
 library_cgi_DEPENDENCIES =  \
 	$(GSDL_DIR)/runtime-src/src/protocol/libgsdlprotocol.a \
 	$(GSDL_DIR)/runtime-src/src/colservr/libgsdlcolservr.a \
 	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a \
-	$(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -293,5 +297,6 @@
 	$(GSDL_DIR)/runtime-src/src/protocol/libgsdlprotocol.a \
 	$(GSDL_DIR)/runtime-src/src/colservr/libgsdlcolservr.a \
-	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a $(am__append_1)
+	$(GSDL_DIR)/common-src/src/lib/libgsdllib.a $(am__append_1) \
+	$(am__append_2)
 library_cgi_LDFLAGS = $(COMPAT32BITFLAGS)
 all: all-am